from django.urls import path
from . import views

urlpatterns = [
    path('subjects/',
         views.SubjectListView.as_view(),
         name='subject_list'),
    path('subjects/<pk>/',
         views.SubjectDetailView.as_view(),
         name='subject_detail'),
    path('sections/',
         views.SectionListView.as_view(),
         name='section_list'),
    path('sections/<pk>/',
         views.SectionDetailView.as_view(),
         name='section_detail'),
    path('lessons/',
         views.LessonListView.as_view(),
         name='lesson_list'),
    path('lessons/<pk>/',
         views.LessonDetailView.as_view(),
         name='lesson_detail'),
    path('professions/',
         views.ProfessionListView.as_view(),
         name='profession_list'),
    path('professions/<pk>/',
         views.ProfessionDetailView.as_view(),
         name='profession_detail'),
    path('qualifications/',
         views.QualificationListView.as_view(),
         name='qualification_list'),
    path('qualifications/<pk>/',
         views.QualificationDetailView.as_view(),
         name='qualification_detail'),
    path('subqualifications/',
         views.SubqualificationListView.as_view(),
         name='subqualification_list'),
    path('subqualifications/<pk>/',
         views.SubqualificationDetailView.as_view(),
         name='subqualification_detail'),
    path('learningeffects/',
         views.LearningEffectListView.as_view(),
         name='learningeffect_list'),
    path('learningeffects/<pk>/',
         views.LearningEffectDetailView.as_view(),
         name='learningeffect_detail'),
    path('verificationcriterions/',
         views.VerificationCriterionListView.as_view(),
         name='verificationcriterion_list'),
    path('verificationcriterions/<pk>/',
         views.VerificationCriterionDetailView.as_view(),
         name='verificationcriterion_detail'),
    path('asignments/',
         views.AsignmentListView.as_view(),
         name='asignment_list'),
    path('asignments/<pk>/',
         views.AsignmentDetailView.as_view(),
         name='asignment_detail'),
]
